Bug 247374 - files in %exclude'd dirs are included into the calculated size
files in %exclude'd dirs are included into the calculated size
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-08 05:31 EDT by Hans de Goede
Modified: 2009-01-07 04:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 12:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-07-08 05:31:41 EDT
Description of problem:
When you %exclude entire directories from %files, then the files in these dirs
are still included in the size calculation.

See: 
http://people.atrpms.net/~hdegoede/stuff.spec
http://people.atrpms.net/~hdegoede/stuff.tar.gz

For a simple reproduction case.

The files in the rpm are 21,388,976 bytes all together, however
the size field in the rpm says: 27785579 bytes

Notice that there are real life packages (ogre for one) which being bitten by
this too.
Comment 1 Jeff Johnson 2007-07-08 20:44:16 EDT
Yep. Paul's patch for %exclude handles files, not directories.
Comment 2 Red Hat Bugzilla 2007-08-21 01:35:06 EDT
User pnasrat@redhat.com's account has been closed
Comment 3 Panu Matilainen 2007-08-22 02:31:39 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 4 Hans de Goede 2008-04-04 05:43:53 EDT
Erm, ping?
Comment 5 Bug Zapper 2008-05-13 23:04:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Panu Matilainen 2008-11-17 06:50:33 EST
Fixed upstream
Comment 7 Panu Matilainen 2008-11-29 12:54:30 EST
Fixed in rawhide as of rpm 4.6.0-rc2, F10 will get it as an update too.
Comment 8 Fedora Update System 2008-12-12 14:14:45 EST
rpm-4.6.0-0.rc3.1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpm-4.6.0-0.rc3.1.fc10
Comment 9 Fedora Update System 2009-01-07 04:20:50 EST
rpm-4.6.0-0.rc3.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.